Organization Configuration
Get Branding
The organization’s branding: product name, copy, languages, theme and assets, and read-only the text overrides that Podero writes.
GET
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
branding
Get Branding
curl --request GET \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/branding \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/branding"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/branding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/partners/v2.0/org/{org_id}/branding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/partners/v2.0/org/{org_id}/branding"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/partners/v2.0/org/{org_id}/branding")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/partners/v2.0/org/{org_id}/branding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"revision": "<string>",
"settings": {
"product_name": "<string>",
"default_seo_title": "<string>",
"support_email": "<string>",
"terms_and_conditions_url": "<string>",
"default_language": "<string>",
"allowed_languages": [
"<string>"
],
"theming_data": {
"fontFamily": "<string>",
"brandColor": "<string>",
"accentColor": "<string>",
"accentTextColor": "<string>",
"infoColor": "<string>",
"contrastColor": "<string>",
"contrastFontColor": "<string>",
"backgroundColor": "<string>",
"buttonColor": "<string>",
"buttonTextColor": "<string>",
"fontSizes": {}
}
},
"assets": {
"logo_file": {
"url": "<string>",
"name": "<string>"
},
"favicon_file": {
"url": "<string>",
"name": "<string>"
},
"regular_font_file": {
"url": "<string>",
"name": "<string>"
},
"bold_font_file": {
"url": "<string>",
"name": "<string>"
}
},
"readonly": {
"id": "<string>",
"organization_id": "<string>",
"organization_name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"text_overrides": {}
},
"permissions": {
"can_edit": true
},
"options": {
"languages": [
{
"id": "<string>",
"label": "<string>"
}
]
}
}Authorizations
Response
200 - application/json
OK
Was this page helpful?
⌘I
Get Branding
curl --request GET \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/branding \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/branding"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/branding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/partners/v2.0/org/{org_id}/branding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/partners/v2.0/org/{org_id}/branding"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/partners/v2.0/org/{org_id}/branding")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/partners/v2.0/org/{org_id}/branding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"revision": "<string>",
"settings": {
"product_name": "<string>",
"default_seo_title": "<string>",
"support_email": "<string>",
"terms_and_conditions_url": "<string>",
"default_language": "<string>",
"allowed_languages": [
"<string>"
],
"theming_data": {
"fontFamily": "<string>",
"brandColor": "<string>",
"accentColor": "<string>",
"accentTextColor": "<string>",
"infoColor": "<string>",
"contrastColor": "<string>",
"contrastFontColor": "<string>",
"backgroundColor": "<string>",
"buttonColor": "<string>",
"buttonTextColor": "<string>",
"fontSizes": {}
}
},
"assets": {
"logo_file": {
"url": "<string>",
"name": "<string>"
},
"favicon_file": {
"url": "<string>",
"name": "<string>"
},
"regular_font_file": {
"url": "<string>",
"name": "<string>"
},
"bold_font_file": {
"url": "<string>",
"name": "<string>"
}
},
"readonly": {
"id": "<string>",
"organization_id": "<string>",
"organization_name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"text_overrides": {}
},
"permissions": {
"can_edit": true
},
"options": {
"languages": [
{
"id": "<string>",
"label": "<string>"
}
]
}
}